import 'package:jade_gui/classes/keymap.dart';

List<Keymap> keymaps = [
  Keymap(
    layout: "Afghanistan",
    backLayout: "Af",
    variant: [
      "normal",
      "fa-olpc",
      "olpc-ps",
      "ps",
      "uz",
      "uz-olpc",
    ],
  ),
  Keymap(
    layout: "Albania",
    backLayout: "al",
    variant: [
      "normal",
      "plisi",
      "veqilharxhi",
    ],
  ),
  Keymap(
    layout: "Armenia",
    backLayout: "am",
    variant: [
      "normal",
      "eastern",
      "eastern-alt",
      "phonetic",
      "phonetic-alt",
      "western",
    ],
  ),
  Keymap(
    layout: "Arabic",
    backLayout: "ara",
    variant: [
      "normal",
      "azerty",
      "azerty_digits",
      "buckwalter",
      "digits",
      "mac",
      "olpc",
      "qwerty",
      "qwerty_digits",
    ],
  ),
  Keymap(
    layout: "Austria",
    backLayout: "at",
    variant: [
      "normal",
      "mac",
      "nodeadkeyrs",
    ],
  ),
  Keymap(
    layout: "Australia",
    backLayout: "au",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Azerbaijan",
    backLayout: "az",
    variant: [
      "normal",
      "cyrillic",
    ],
  ),
  Keymap(
    layout: "Bosnia and Herzegovina",
    backLayout: "ba",
    variant: [
      "normal",
      "alternatequotes",
      "unicode",
      "unicodeus",
      "us",
    ],
  ),
  Keymap(
    layout: "Bangladesh",
    backLayout: "bd",
    variant: [
      "normal",
      "probhat",
    ],
  ),
  Keymap(
    layout: "Belgium",
    backLayout: "be",
    variant: [
      "normal",
      "iso-alternate",
      "nodeadkeys",
      "oss",
      "oss_latin9",
      "wang",
    ],
  ),
  Keymap(
    layout: "Bulgaria",
    backLayout: "bg",
    variant: [
      "normal",
      "bas_phonetic",
      "bekl",
      "phonetic",
    ],
  ),
  Keymap(
    layout: "Brazil",
    backLayout: "br",
    variant: [
      "normal",
      "dvorak",
      "nativo",
      "nativo-epo",
      "nativo-us",
      "nodeadkeys",
      "thinkpad",
    ],
  ),
  Keymap(
    layout: "Bhutan",
    backLayout: "bt",
    variant: [
      "normal",
      "latin",
    ],
  ),
  Keymap(
    layout: "Botswana",
    backLayout: "bw",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Belarus",
    backLayout: "by",
    variant: [
      "normal",
      "intl",
      "latin",
      "legacy",
      "ru",
    ],
  ),
  Keymap(
    layout: "Canada",
    backLayout: "ca",
    variant: [
      "normal",
      "eng",
      "fr-dvorak",
      "fr-legacy",
      "ike",
      "multi",
      "multi-2gr",
      "multix",
    ],
  ),
  Keymap(
    layout: "Democratic Republic of Congo",
    backLayout: "cd",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Switzerland",
    backLayout: "ch",
    variant: [
      "normal",
      "de_mac",
      "de_nodeadkeys",
      "fr",
      "fr_mac",
      "fr_nodeadkeys",
      "legacy",
    ],
  ),
  Keymap(
    layout: "Cameroon",
    backLayout: "cm",
    variant: [
      "normal",
      "azerty",
      "dvorak",
      "french",
      "mmuock",
      "qwerty",
    ],
  ),
  Keymap(
    layout: "China",
    backLayout: "cn",
    variant: [
      "normal",
      "altgr-pinyin",
      "mon_manchu_galik",
      "mon_todo_galik",
      "mon_trad",
      "mon_trad_galik",
      "mon_trad_manchu",
      "mon_trad_todo",
      "mon_trad_xibe",
      "tib",
      "tib_asciinum",
      "ug",
    ],
  ),
  Keymap(
    layout: "Czechia",
    backLayout: "cz",
    variant: [
      "normal",
      "bksl",
      "dvorak-ucw",
      "qwerty",
      "qwerty-mac",
      "qwerty_bksl",
      "rus",
      "ucw",
    ],
  ),
  Keymap(
    layout: "Germany",
    backLayout: "de",
    variant: [
      "normal",
      "T3",
      "deadacute",
      "deadgraveacute",
      "deadtilde",
      "dsb",
      "dsb_qwertz",
      "dvorak",
      "e1",
      "e2",
      "mac",
      "mac_nodeadkeys",
      "neo",
      "nodeadkeys",
      "qwerty",
      "ro",
      "ro_nodeadkeys",
      "ru",
      "tr",
      "us",
    ],
  ),
  Keymap(
    layout: "Denmark",
    backLayout: "dk",
    variant: [
      "normal",
      "dvorak",
      "mac",
      "mac_nodeadkeys",
      "nodeadkeys",
      "winkeys",
    ],
  ),
  Keymap(
    layout: "Algeria",
    backLayout: "dz",
    variant: [
      "normal",
      "ar",
      "azerty-deadkeys",
      "ber",
      "qwerty-gb-deadkeys",
      "qwerty-us-deadkeys",
    ],
  ),
  Keymap(
    layout: "Estonia",
    backLayout: "ee",
    variant: [
      "normal",
      "dvorak",
      "nodeadkeys",
      "us",
    ],
  ),
  Keymap(
    layout: "Spain",
    backLayout: "es",
    variant: [
      "normal",
      "ast",
      "cat",
      "deadtilde",
      "dvorak",
      "mac",
      "nodeadkeys",
      "winkeys",
    ],
  ),
  Keymap(
    layout: "Ethiopia",
    backLayout: "et",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Finland",
    backLayout: "fi",
    variant: [
      "normal",
      "normal"
          "classic",
      "mac",
      "nodeadkeys",
      "smi",
      "winkeys",
    ],
  ),
  Keymap(
    layout: "Faroe Islands",
    backLayout: "fo",
    variant: [
      "normal",
      "nodeadkeys",
    ],
  ),
  Keymap(
    layout: "France",
    backLayout: "fr",
    variant: [
      "normal",
      "afnor",
      "azerty",
      "bepo",
      "bepo_afnor",
      "bepo_latin9",
      "bre",
      "dvorak",
      "geo",
      "latin9",
      "latin9_nodeadkeys",
      "mac",
      "nodeadkeys",
      "oci",
      "oss",
      "oss_latin9",
      "oss_nodeadkeys",
      "us",
    ],
  ),
  Keymap(
    layout: "Great Britian",
    backLayout: "gb",
    variant: [
      "normal",
      "colemak",
      "colemak_dh",
      "dvorak",
      "dvorakukp",
      "extd",
      "intl",
      "mac",
      "mac_intl",
      "pl",
    ],
  ),
  Keymap(
    layout: "Georgia",
    backLayout: "ge",
    variant: [
      "normal",
      "ergonomic",
      "mess",
      "os",
      "ru",
    ],
  ),
  Keymap(
    layout: "Ghana",
    backLayout: "gh",
    variant: [
      "normal",
      "akan",
      "avn",
      "ewe",
      "fula",
      "ga",
      "generic",
      "gillbt",
      "hausa",
    ],
  ),
  Keymap(
    layout: "Guinea",
    backLayout: "gn",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Greece",
    backLayout: "gr",
    variant: [
      "normal",
      "extended",
      "nodeadkeys",
      "polytonic",
      "simple",
    ],
  ),
  Keymap(
    layout: "Croatia",
    backLayout: "hr",
    variant: [
      "normal",
      "alternatequotes",
      "unicode",
      "unicodeus",
      "us",
    ],
  ),
  Keymap(
    layout: "Hungary",
    backLayout: "hu",
    variant: [
      "normal",
      "101_qwerty_comma_dead",
      "101_qwerty_comma_nodead",
      "101_qwerty_dot_dead",
      "101_qwerty_dot_nodead",
      "101_qwertz_comma_dead",
      "101_qwertz_comma_nodead",
      "101_qwertz_dot_dead",
      "101_qwertz_dot_nodead",
      "102_qwerty_comma_dead",
      "102_qwerty_comma_nodead",
      "102_qwerty_dot_dead",
      "102_qwerty_dot_nodead",
      "102_qwertz_comma_dead",
      "102_qwertz_comma_nodead",
      "102_qwertz_dot_dead",
      "102_qwertz_dot_nodead",
      "nodeadkeys",
      "qwerty",
      "standard",
    ],
  ),
  Keymap(
    layout: "Indonesia",
    backLayout: "id",
    variant: [
      "normal",
      "phoneticx",
    ],
  ),
  Keymap(
    layout: "Ireland",
    backLayout: "ie",
    variant: [
      "normal",
      "CloGaelach",
      "UnicodeExpert",
      "ogam",
      "ogam_is434",
    ],
  ),
  Keymap(
    layout: "Israel",
    backLayout: "il",
    variant: [
      "normal",
      "biblical",
      "lyx",
      "phonetic",
    ],
  ),
  Keymap(
    layout: "India",
    backLayout: "in",
    variant: [
      "normal",
      "ben",
      "ben_baishakhi",
      "ben_bornona",
      "ben_gitanjali",
      "ben_inscript",
      "ben_probhat",
      "bolnagri",
      "eeyek",
      "eng",
      "guj",
      "guru",
      "hin-kagapa",
      "hin-wx",
      "iipa",
      "jhelum",
      "kan",
      "kan-kagapa",
      "mal",
      "mal_enhanced",
      "mal_lalitha",
      "mar-kagapa",
      "marathi",
      "olck",
      "ori",
      "ori-bolnagri",
      "ori-wx",
      "san-kagapa",
      "tam",
      "tam_tamilnet",
      "tam_tamilnet_TAB",
      "tam_tamilnet_TSCII",
      "tam_tamilnet_with_tam_nums",
      "tel",
      "tel-kagapa",
      "tel-sarala",
      "urd-phonetic",
      "urd-phonetic3",
      "urd-winkeys",
    ],
  ),
  Keymap(
    layout: "Iraq",
    backLayout: "iq",
    variant: [
      "normal",
      "ku",
      "ku_alt",
      "ku_ara",
      "ku_f",
    ],
  ),
  Keymap(
    layout: "Iran",
    backLayout: "ir",
    variant: [
      "normal",
      "ku",
      "ku_alt",
      "ku_ara",
      "ku_f",
      "pes_keypad",
    ],
  ),
  Keymap(
    layout: "Iceland",
    backLayout: "is",
    variant: [
      "normal",
      "ku",
      "ku_alt",
      "ku_ara",
      "ku_f",
      "pes_keypad",
    ],
  ),
  Keymap(
    layout: "Italy",
    backLayout: "it",
    variant: [
      "normal",
      "fur",
      "geo",
      "ibm",
      "intl",
      "mac",
      "nodeadkeys",
      "scn",
      "us",
      "winkeys",
    ],
  ),
  Keymap(
    layout: "Japan",
    backLayout: "jp",
    variant: [
      "normal",
      "OADG109A",
      "dvorak",
      "kana",
      "kana86",
      "mac",
    ],
  ),
  Keymap(
    layout: "Kenya",
    backLayout: "ke",
    variant: [
      "normal",
      "kik",
    ],
  ),
  Keymap(
    layout: "Kyrgyzstan",
    backLayout: "kg",
    variant: [
      "normal",
      "phonetic",
    ],
  ),
  Keymap(
    layout: "Cambodia",
    backLayout: "kh",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "The Republic of Korea",
    backLayout: "kr",
    variant: [
      "normal",
      "kr104",
    ],
  ),
  Keymap(
    layout: "Kazakhstan",
    backLayout: "kz",
    variant: [
      "normal",
      "ext",
      "kazrus",
      "latin",
      "ruskaz",
    ],
  ),
  Keymap(
    layout: "Laos",
    backLayout: "la",
    variant: [
      "normal",
      "stea",
    ],
  ),
  Keymap(
    layout: "Sri Lanka",
    backLayout: "lk",
    variant: [
      "normal",
      "tam_TAB",
      "tam_unicode",
      "us",
    ],
  ),
  Keymap(
    layout: "Lithuania",
    backLayout: "lt",
    variant: [
      "normal",
      "ibm",
      "lekp",
      "lekpa",
      "ratise",
      "sgs",
      "std",
      "us",
    ],
  ),
  Keymap(
    layout: "Lativa",
    backLayout: "lv",
    variant: [
      "normal",
      "adapted",
      "apostrophe",
      "ergonomic",
      "fkey",
      "modern",
      "tilde",
    ],
  ),
  Keymap(
    layout: "Morocco",
    backLayout: "ma",
    variant: [
      "normal",
      "french",
      "tifinagh",
      "tifinagh-alt",
      "tifinagh-alt-phonetic",
      "tifinagh-extended",
      "tifinagh-extended-phonetic",
      "tifinagh-phonetic",
    ],
  ),
  Keymap(
    layout: "Moldova",
    backLayout: "md",
    variant: [
      "normal",
      "gag",
    ],
  ),
  Keymap(
    layout: "Montenegro",
    backLayout: "me",
    variant: [
      "normal",
      "cyrillic",
      "cyrillicalternatequotes",
      "cyrillicyz",
      "latinalternatequotes",
      "latinunicode",
      "latinunicodeyz",
      "latinyz",
    ],
  ),
  Keymap(
    layout: "Republic of North Macedonia",
    backLayout: "mk",
    variant: [
      "normal",
      "nodeadkeys",
    ],
  ),
  Keymap(
    layout: "Mali",
    backLayout: "ml",
    variant: [
      "normal",
      "fr-oss",
      "us-intl",
      "us-mac",
    ],
  ),
  Keymap(
    layout: "Myanmar",
    backLayout: "mm",
    variant: [
      "normal",
      "zawgyi",
    ],
  ),
  Keymap(
    layout: "Mongolia",
    backLayout: "mn",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Malta",
    backLayout: "mt",
    variant: [
      "normal",
      "alt-gb",
      "alt-us",
      "us",
    ],
  ),
  Keymap(
    layout: "Maldives",
    backLayout: "mv",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Malaysia",
    backLayout: "my",
    variant: [
      "normal",
      "phonetic",
    ],
  ),
  Keymap(
    layout: "Nigeria",
    backLayout: "ng",
    variant: [
      "normal",
      "hausa",
      "igbo",
      "yoruba",
    ],
  ),
  Keymap(
    layout: "Netherlands",
    backLayout: "nl",
    variant: [
      "normal",
      "mac",
      "std",
      "us",
    ],
  ),
  Keymap(
    layout: "Norway",
    backLayout: "no",
    variant: [
      "normal",
      "colemak",
      "dvorak",
      "mac",
      "mac_nodeadkeys",
      "nodeadkeys",
      "smi",
      "smi_nodeadkeys",
      "winkeys",
    ],
  ),
  Keymap(
    layout: "Nepal",
    backLayout: "np",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Philippines",
    backLayout: "ph",
    variant: [
      "normal",
      "capewell-dvorak",
      "capewell-dvorak-bay",
      "capewell-qwerf2k6",
      "capewell-qwerf2k6-bay",
      "colemak",
      "colemak-bay",
      "dvorak",
      "dvorak-bay",
      "qwerty-bay",
    ],
  ),
  Keymap(
    layout: "Pakistan",
    backLayout: "pk",
    variant: [
      "normal",
      "ara",
      "snd",
      "urd-crulp",
      "urd-nla",
    ],
  ),
  Keymap(
    layout: "Poland",
    backLayout: "pl",
    variant: [
      "normal",
      "csb",
      "dvorak",
      "dvorak_altquotes",
      "dvorak_quotes",
      "dvp",
      "legacy",
      "qwertz",
      "ru_phonetic_dvorak",
      "szl",
    ],
  ),
  Keymap(
    layout: "Portugal",
    backLayout: "pt",
    variant: [
      "normal",
      "mac",
      "mac_nodeadkeys",
      "nativo",
      "nativo-epo",
      "nativo-us",
      "nodeadkeys",
    ],
  ),
  Keymap(
    layout: "Romania",
    backLayout: "ro",
    variant: [
      "normal",
      "std",
      "winkeys",
    ],
  ),
  Keymap(
    layout: "Serbia",
    backLayout: "rs",
    variant: [
      "normal",
      "alternatequotes",
      "latin",
      "latinalternatequotes",
      "latinunicode",
      "latinunicodeyz",
      "latinyz",
      "rue",
      "yz",
    ],
  ),
  Keymap(
    layout: "Russia",
    backLayout: "ru",
    variant: [
      "normal",
      "bak",
      "chm",
      "cv",
      "cv_latin",
      "dos",
      "kom",
      "legacy",
      "mac",
      "os_legacy",
      "os_winkeys",
      "phonetic",
      "phonetic_YAZHERTY",
      "phonetic_azerty",
      "phonetic_dvorak",
      "phonetic_fr",
      "phonetic_winkeys",
      "sah",
      "srp",
      "tt",
      "typewriter",
      "typewriter-legacy",
      "udm",
      "xal",
    ],
  ),
  Keymap(
    layout: "Sweden",
    backLayout: "se",
    variant: [
      "normal",
      "dvorak",
      "mac",
      "nodeadkeys",
      "rus",
      "rus_nodeadkeys",
      "smi",
      "svdvorak",
      "swl",
      "us",
      "us_dvorak",
    ],
  ),
  Keymap(
    layout: "Slovenia",
    backLayout: "si",
    variant: [
      "normal",
      "alternatequotes",
      "us",
    ],
  ),
  Keymap(
    layout: "Slovakia",
    backLayout: "sk",
    variant: [
      "normal",
      "bksl",
      "qwerty",
      "qwerty_bksl",
    ],
  ),
  Keymap(
    layout: "Senegal",
    backLayout: "sn",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Sierra Leone",
    backLayout: "sl",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Syria",
    backLayout: "sy",
    variant: [
      "normal",
      "ku",
      "ku_alt",
      "ku_f",
      "syc",
      "syc_phonetic",
    ],
  ),
  Keymap(
    layout: "Togo",
    backLayout: "tg",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Thailand",
    backLayout: "th",
    variant: [
      "normal",
      "pat",
      "tis",
    ],
  ),
  Keymap(
    layout: "Tajikistan",
    backLayout: "tj",
    variant: [
      "normal",
      "legacy",
    ],
  ),
  Keymap(
    layout: "Turkmenistan",
    backLayout: "tm",
    variant: [
      "normal",
      "alt",
    ],
  ),
  Keymap(
    layout: "Turkey",
    backLayout: "tr",
    variant: [
      "normal",
      "alt",
      "crh",
      "crh_alt",
      "crh_f",
      "f",
      "intl",
      "ku",
      "ku_alt",
      "ku_f",
      "ot",
      "otf",
      "otk",
      "otkf",
    ],
  ),
  Keymap(
    layout: "Taiwan",
    backLayout: "tw",
    variant: [
      "normal",
      "indigenous",
      "saisiyat",
    ],
  ),
  Keymap(
    layout: "Tanzania",
    backLayout: "tz",
    variant: [
      "normal",
      "",
    ],
  ),
  Keymap(
    layout: "Ukraine",
    backLayout: "ua",
    variant: [
      "normal",
      "homophonic",
      "legacy",
      "phonetic",
      "rstu",
      "rstu_ru",
      "typewriter",
      "winkeys",
    ],
  ),
  Keymap(
    layout: "United States of America",
    backLayout: "us",
    variant: [
      "normal",
      "alt-intl",
      "altgr-intl",
      "chr",
      "colemak",
      "colemak_dh",
      "colemak_dh_iso",
      "dvorak",
      "dvorak-alt-intl",
      "dvorak-classic",
      "dvorak-intl",
      "dvorak-l",
      "dvorak-mac",
      "dvorak-r",
      "dvp",
      "euro",
      "haw",
      "hbs",
      "intl",
      "mac",
      "norman",
      "olpc2",
      "rus",
      "symbolic",
      "workman",
      "workman-intl",
    ],
  ),
  Keymap(
    layout: "Uzbekistan",
    backLayout: "uz",
    variant: [
      "normal",
      "latin",
    ],
  ),
  Keymap(
    layout: "Vietnam",
    backLayout: "vn",
    variant: [
      "normal",
      "fr",
      "us",
    ],
  ),
  Keymap(
    layout: "South Africa",
    backLayout: "za",
    variant: [
      "normal",
      "",
    ],
  )
];
